#include "output_var_lines.h"
  using namespace std;
  using namespace Rcpp;

  SEXP output_var_lines(SEXP l, SEXP f) {

  List list(l);
  
  string file;
  file = as<string>(f);
  
  ofstream ofs(file.c_str());

  for(int i=0; i < list.size(); i++) {
    NumericVector vec = list[i];
    NumericVector::iterator vit;
    NumericVector::iterator ve;

    sort(vec.begin(), vec.end());
    ve = unique(vec.begin(), vec.end());
   
    for(vit=vec.begin(); vit != ve-1; vit++) {     
      ofs << fixed << (int)*vit << " ";
    }
    ofs << fixed << (int)*(ve-1) << endl;
  }
 
  ofs.close();
  return NumericVector::create(list.size());
}
